Bug 5953

Summary: apt-shell's `ls' command doesn't show up by completion
Product: [Development] Sisyphus Reporter: Ivan Zakharyaschev <imz@altlinux.org>
Component: aptAssignee: Sergey Bolshakov <sbolshakov@altlinux.org>
Status: CLOSED FIXED QA Contact: qa-sisyphus@altlinux.org
Severity: minor    
Priority: P2 CC: at@altlinux.org, boyarsh@altlinux.org, imz@altlinux.org, ldv@altlinux.org, php-coder@altlinux.org
Version: unstableKeywords: patch
Hardware: all   
OS: Linux   

Description From 2005-01-25 22:02:51
apt-0:0.5.15cnc6-alt6.1

Although `ls' command is accepted by apt-shell, it doesn't show up by completion
(pressing tab in the prompt, or pressing tab after "l" in the prompt).

It is accepted, here is an example:

apt> ls apt*
apt                apt-conf-sisyphus  apt-rsync          aptitude           
apt-conf-Master    apt-indicator      apt-utils          
apt> 

Steps to Reproduce:
[root@tosha root]# apt-shell
Reading Package Lists... Done
Building Dependency Tree... Done
Welcome to the APT shell. Type "help" for more information.
apt> <TAB><TAB>
autoclean        dist-upgrade     quit             showpkg
build-dep        dselect-upgrade  rdepends         status
check            exit             remove           unmet
clean            help             script           update
commit           install          search           upgrade
depends          keep             show             whatdepends
apt> l<TAB>

Actual Results:  
"ls" is not in the list, and no completion are suggested for "l".
------- Comment #1 From 2005-11-26 00:46:14 -------
apt-shell'ом у нас теперь Сергей заведует.
------- Comment #2 From 2008-12-30 23:13:39 -------
Вот предлагаемый фикс:
http://git.altlinux.org/people/php_coder/packages/apt.git?p=apt.git;a=commitdiff;h=1c7245aad012201d99dbb6fe905a72531d73bd69
------- Comment #3 From 2009-01-02 03:27:25 -------
0.5.15lorg2-alt22.1
------- Comment #4 From 2009-01-11 00:10:15 -------
Патч принят апстримом:
http://apt-rpm.org/scm/?p=apt.git;a=commitdiff;h=a085dd2fa44ddbd09b782ca4064cb30bd164112e